Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProcessApproval.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProcessApproval.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOProcessApproval.cs	(revision 267)
@@ -69,21 +69,22 @@
         private string CreateSelectSQL()
         {
             // SQL作成
-            string strcmd = "SELECT";
-            strcmd += " ConstructionCode";
-            strcmd += ",ApprovalCode";
-            strcmd += ",OrderNo";
-            strcmd += ",SeqNo";
-            strcmd += ",PersonCode";
-            strcmd += ",DATE_FORMAT(PetitionApprovalDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += ",DATE_FORMAT(ApprovalLimitDates, '%Y/%m/%d %H:%i:%s')";
-            strcmd += ",ApprovalStatus";
-            strcmd += ",InputComment";
-            strcmd += ",DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += ",DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";
-            strcmd += " FROM ProcessApproval";
+            StringBuilder strcmd = new StringBuilder();
+            strcmd.Append("SELECT");
+            strcmd.Append(" ConstructionCode");
+            strcmd.Append(",ApprovalCode");
+            strcmd.Append(",OrderNo");
+            strcmd.Append(",SeqNo");
+            strcmd.Append(",PersonCode");
+            strcmd.Append(",DATE_FORMAT(PetitionApprovalDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(",DATE_FORMAT(ApprovalLimitDates, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(",ApprovalStatus");
+            strcmd.Append(",InputComment");
+            strcmd.Append(",DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(",DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
+            strcmd.Append(" FROM ProcessApproval");
 
-            return strcmd;
+            return strcmd.ToString();
         }
         #endregion
 
@@ -98,16 +99,17 @@
         public bool SelectAction(string AddSQLString, ref List<ProcessApproval> data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成
-                strcmd = CreateSelectSQL() + AddSQLString;
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -121,7 +123,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
@@ -139,16 +141,17 @@
         public bool SelectAction(string AddSQLString, ref ProcessApproval data, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
 
             try
             {
                 // SQL作成
-                strcmd = CreateSelectSQL() + AddSQLString;
+                strcmd.Append(CreateSelectSQL());
+                strcmd.Append(AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return false;
                 if (arData.Count == 0) return false;
 
                 // データセット
@@ -159,7 +162,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
 
@@ -174,51 +177,51 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool InsertAction(List<ProcessApproval> data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
                 bool bColFirst = true;
-                strcmd = "INSERT INTO ProcessApproval";
-                strcmd += " (";
+                strcmd.Append("INSERT INTO ProcessApproval");
+                strcmd.Append(" (");
                 foreach (var gender in Enum.GetValues(typeof(ColumnName)))
                 {
-                    if (!bColFirst) strcmd += ", ";
-                    strcmd += gender.ToString();
+                    if (!bColFirst) strcmd.Append(", ");
+                    strcmd.Append(gender.ToString());
                     bColFirst = false;
                 }
-                strcmd += ") VALUES";
+                strcmd.Append(") VALUES");
 
                 bool bDataFirst = true;
                 foreach (ProcessApproval work in data)
                 {
-                    if (bDataFirst) strcmd += " (";
-                    else strcmd += ", (";
+                    if (bDataFirst) strcmd.Append(" (");
+                    else strcmd.Append(", (");
 
-                    strcmd += string.Format("  {0}", work.ConstructionCode.ToString());
-                    strcmd += string.Format(", {0}", work.ApprovalCode.ToString());
-                    strcmd += string.Format(", {0}", work.OrderNo.ToString());
-                    strcmd += string.Format(", {0}", work.SeqNo.ToString());
-                    strcmd += string.Format(", {0}", work.PersonCode.ToString());
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.PetitionApprovalDate.ToString());
+                    strcmd.AppendFormat("  {0}", work.ConstructionCode.ToString());
+                    strcmd.AppendFormat(", {0}", work.ApprovalCode.ToString());
+                    strcmd.AppendFormat(", {0}", work.OrderNo.ToString());
+                    strcmd.AppendFormat(", {0}", work.SeqNo.ToString());
+                    strcmd.AppendFormat(", {0}", work.PersonCode.ToString());
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.PetitionApprovalDate.ToString());
 
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.ApprovalLimitDates.ToString());
-                    strcmd += string.Format(", {0}", work.ApprovalStatus.ToString());
-                    strcmd += string.Format(",'{0}'", work.InputComment.ToString());
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.ApprovalLimitDates.ToString());
+                    strcmd.AppendFormat(", {0}", work.ApprovalStatus.ToString());
+                    strcmd.AppendFormat(",'{0}'", work.InputComment.ToString());
 
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
-                    strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
-                    strcmd += ")";
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
+                    strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
+                    strcmd.Append(")");
 
                     bDataFirst = false;
                 }
 
-                if (!ExecuteNonQuery(strcmd, false)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), false)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -233,44 +236,44 @@
         /// <returns></returns>
         public bool InsertAction(ProcessApproval data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "INSERT INTO ProcessApproval";
+                strcmd.Append("INSERT INTO ProcessApproval");
 
-                strcmd += " (";
+                strcmd.Append(" (");
                 bool bFirst = true;
                 foreach (var gender in Enum.GetValues(typeof(ColumnName)))
                 {
-                    if (!bFirst) strcmd += " ,";
-                    strcmd += gender.ToString();
+                    if (!bFirst) strcmd.Append(" ,");
+                    strcmd.Append(gender.ToString());
                     bFirst = false;
                 }
-                strcmd += ") VALUES (";
+                strcmd.Append(") VALUES (");
 
-                strcmd += string.Format("  {0}", data.ConstructionCode.ToString());
-                strcmd += string.Format(", {0}", data.ApprovalCode.ToString());
-                strcmd += string.Format(", {0}", data.OrderNo.ToString());
-                strcmd += string.Format(", {0}", data.SeqNo.ToString());
-                strcmd += string.Format(", {0}", data.PersonCode.ToString());
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.PetitionApprovalDate.ToString());
+                strcmd.AppendFormat("  {0}", data.ConstructionCode.ToString());
+                strcmd.AppendFormat(", {0}", data.ApprovalCode.ToString());
+                strcmd.AppendFormat(", {0}", data.OrderNo.ToString());
+                strcmd.AppendFormat(", {0}", data.SeqNo.ToString());
+                strcmd.AppendFormat(", {0}", data.PersonCode.ToString());
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.PetitionApprovalDate.ToString());
 
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.ApprovalLimitDates.ToString());
-                strcmd += string.Format(", {0}", data.ApprovalStatus.ToString());
-                strcmd += string.Format(",'{0}'", data.InputComment.ToString());
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.ApprovalLimitDates.ToString());
+                strcmd.AppendFormat(", {0}", data.ApprovalStatus.ToString());
+                strcmd.AppendFormat(",'{0}'", data.InputComment.ToString());
 
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.EntryDate);
-                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.UpdateDate);
-                strcmd += ")";
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.EntryDate);
+                strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.UpdateDate);
+                strcmd.Append(")");
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -285,34 +288,34 @@
         /// <returns>true：成功 false：失敗</returns>
         public bool UpdateAction(string AddSQLString, ProcessApproval data, bool bConnect = true)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
 
-                strcmd = "UPDATE ProcessApproval";
+                strcmd.Append("UPDATE ProcessApproval");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
 
-                strcmd += string.Format(" ConstructionCode = {0}", data.ConstructionCode.ToString());
-                strcmd += string.Format(",ApprovalCode = {0}", data.ApprovalCode.ToString());
-                strcmd += string.Format(",OrderNo = {0}", data.OrderNo.ToString());
-                strcmd += string.Format(",SeqNo = {0}", data.SeqNo.ToString());
-                strcmd += string.Format(",PersonCode = {0}", data.PersonCode.ToString());
-                strcmd += string.Format(",PetitionApprovalDate = STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.PetitionApprovalDate.ToString());
-                strcmd += string.Format(",ApprovalLimitDates = STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.ApprovalLimitDates.ToString());
-                strcmd += string.Format(",ApprovalStatus = {0}", data.ApprovalStatus.ToString());
-                strcmd += string.Format(",InputComment = '{0}'", data.InputComment);
+                strcmd.AppendFormat(" ConstructionCode = {0}", data.ConstructionCode.ToString());
+                strcmd.AppendFormat(",ApprovalCode = {0}", data.ApprovalCode.ToString());
+                strcmd.AppendFormat(",OrderNo = {0}", data.OrderNo.ToString());
+                strcmd.AppendFormat(",SeqNo = {0}", data.SeqNo.ToString());
+                strcmd.AppendFormat(",PersonCode = {0}", data.PersonCode.ToString());
+                strcmd.AppendFormat(",PetitionApprovalDate = STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.PetitionApprovalDate.ToString());
+                strcmd.AppendFormat(",ApprovalLimitDates = STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.ApprovalLimitDates.ToString());
+                strcmd.AppendFormat(",ApprovalStatus = {0}", data.ApprovalStatus.ToString());
+                strcmd.AppendFormat(",InputComment = '{0}'", data.InputComment);
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += AddSQLString;
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -328,18 +331,18 @@
         public bool DeleteAction(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = string.Format("{0}{1}", "DELETE FROM ProcessApproval", AddSQLString);
+                strcmd.AppendFormat("{0}{1}", "DELETE FROM ProcessApproval", AddSQLString);
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -352,53 +355,53 @@
         /// <returns></returns>
         public bool UpdateFeild(int ConstructionCode, int FeildNo, object value, bool bConnect = true, int ApprovalCode = 0, int OrderNo = 0, int SeqNo = 0)
         {
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             try
             {
-                strcmd = "UPDATE ProcessApproval";
+                strcmd.Append("UPDATE ProcessApproval");
 
-                strcmd += " SET";
+                strcmd.Append(" SET");
                 switch (FeildNo)
                 {
                     case (int)ColumnName.ConstructionCode:
-                        strcmd += string.Format(" ConstructionCode = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" ConstructionCode = {0}", ((int)value).ToString());
                         break;
                     case (int)ColumnName.ApprovalCode:
-                        strcmd += string.Format(" ApprovalCode = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" ApprovalCode = {0}", ((int)value).ToString());
                         break;
                     case (int)ColumnName.OrderNo:
-                        strcmd += string.Format(" OrderNo = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" OrderNo = {0}", ((int)value).ToString());
                         break;
                     case (int)ColumnName.SeqNo:
-                        strcmd += string.Format(" SeqNo = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" SeqNo = {0}", ((int)value).ToString());
                         break;
                     case (int)ColumnName.PersonCode:
-                        strcmd += string.Format(" PersonCode = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" PersonCode = {0}", ((int)value).ToString());
                         break;
                     case (int)ColumnName.PetitionApprovalDate:
-                        strcmd += string.Format(" PetitionApprovalDate = STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", ((DateTime)value).ToShortDateString());
+                        strcmd.AppendFormat(" PetitionApprovalDate = STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", ((DateTime)value).ToShortDateString());
                         break;
                     case (int)ColumnName.ApprovalLimitDates:
-                        strcmd += string.Format(" ApprovalLimitDates = STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", ((DateTime)value).ToShortDateString());
+                        strcmd.AppendFormat(" ApprovalLimitDates = STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", ((DateTime)value).ToShortDateString());
                         break;
                     case (int)ColumnName.ApprovalStatus:
-                        strcmd += string.Format(" ApprovalStatus = {0}", ((int)value).ToString());
+                        strcmd.AppendFormat(" ApprovalStatus = {0}", ((int)value).ToString());
                         break;
                     case (int)ColumnName.InputComment:
-                        strcmd += string.Format(" InputComment = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" InputComment = '{0}'", value.ToString());
                         break;
                 }
 
-                strcmd += ", UpdateDate = NOW()";
-                strcmd += CreatePrimarykeyString(ConstructionCode, ApprovalCode, OrderNo, SeqNo);
+                strcmd.Append(", UpdateDate = NOW()");
+                strcmd.Append(CreatePrimarykeyString(ConstructionCode, ApprovalCode, OrderNo, SeqNo));
 
-                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+                if (!ExecuteNonQuery(strcmd.ToString(), bConnect)) return false;
 
                 return true;
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
                 return false;
             }
         }
@@ -446,23 +449,23 @@
         /// <returns>Where文字列</returns>
         public string CreatePrimarykeyString(int ConstructionCode, int ApprovalCode = -1, int OrderNo = -1, int SeqNo = -1, string APara = "")
         {
-            string strWork = string.Empty;
+            StringBuilder strWork = new StringBuilder();
             try
             {
-                strWork = string.Format(" Where {0}ConstructionCode = {1}", APara, ConstructionCode.ToString());
+                strWork.AppendFormat(" Where {0}ConstructionCode = {1}", APara, ConstructionCode.ToString());
                 if (ApprovalCode != -1)
-                    strWork += string.Format(" And {0}ApprovalCode = {1}", APara, ApprovalCode.ToString());
+                    strWork.AppendFormat(" And {0}ApprovalCode = {1}", APara, ApprovalCode.ToString());
                 if (OrderNo != -1)
-                    strWork += string.Format(" And {0}OrderNo = {1}", APara, OrderNo.ToString());
+                    strWork.AppendFormat(" And {0}OrderNo = {1}", APara, OrderNo.ToString());
                 if (SeqNo != -1)
-                    strWork += string.Format(" And {0}SeqNo = {1}", APara, SeqNo.ToString());
+                    strWork.AppendFormat(" And {0}SeqNo = {1}", APara, SeqNo.ToString());
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork.ToString());
             }
 
-            return strWork;
+            return strWork.ToString();
         }
         #endregion
 
@@ -476,16 +479,16 @@
         public int SelectMaxOrderNoCount(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
             int iRet = 0;
             try
             {
                 // SQL作成
-                strcmd = "SELECT IFNULL(MAX(OrderNo), 0) FROM ProcessApproval" + AddSQLString;
+                strcmd.AppendFormat("SELECT IFNULL(MAX(OrderNo), 0) FROM ProcessApproval {0}" , AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return iRet;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -499,7 +502,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
             }
             return iRet;
         }
@@ -515,16 +518,16 @@
         public int SelectMaxSeqNoCount(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
-            string strcmd = "";
+            StringBuilder strcmd = new StringBuilder();
             ArrayList arData = new ArrayList();
             int iRet = 0;
             try
             {
                 // SQL作成
-                strcmd = "SELECT IFNULL(MAX(SeqNo), 0) FROM ProcessApproval" + AddSQLString;
+                strcmd.AppendFormat("SELECT IFNULL(MAX(SeqNo), 0) FROM ProcessApproval {0}", AddSQLString);
 
                 // SQL実行
-                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return iRet;
 
                 // データセット
                 foreach (object[] objwrk in arData)
@@ -538,7 +541,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
             }
             return iRet;
         }
